<html>
	<head>
		<meta charset="utf-8"/>
    <link rel="stylesheet" href="my.css">

		<script src="wasm_exec.js"></script>

	</head>
	<body>
		<h1>WASM Experiments</h1>
		<script> 

			const go = new Go() // Go Wasm runtime

			WebAssembly.instantiateStreaming(fetch("main.wasm"), go.importObject)
				.then(result => {
					console.log("main.wasm is loaded")
					// execute `main`
					go.run(result.instance)					
				})
				.catch(error => {
					console.log("ouch", error)
				})



		</script>
	</body>
</html>